GDAL

- Main Page
- Related Pages
- Classes
- Files
- Download
- Issue Tracker

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
CPLXMLTreeCloser Class Reference

Manage a tree of XML nodes so that all nodes are freed when the instance goes out of scope. More...

`#include <cpl_minixml.h>`

## Public Member Functions
| CPLXMLTreeCloser (CPLXMLNode *data)
| Constructor.
| ~CPLXMLTreeCloser ()
| Destructor.
CPLXMLNode * | get () const
| Returns the node pointer/ Modifying the contents pointed to by the return is allowed. More...
CPLXMLNode * | operator-> () const
| Returns the node pointer/ Modifying the contents pointed to by the return is allowed. More...

## Detailed Description

Manage a tree of XML nodes so that all nodes are freed when the instance goes out of scope.

Only the top level node should be in a CPLXMLTreeCloser.

## Member Function Documentation

CPLXMLNode* CPLXMLTreeCloser::get | ( |  | ) | const
| inline

Returns the node pointer/ Modifying the contents pointed to by the return is allowed.

Returns
  the node pointer

CPLXMLNode* CPLXMLTreeCloser::operator-> | ( |  | ) | const
| inline

Returns the node pointer/ Modifying the contents pointed to by the return is allowed.

Returns
  the node pointer

The documentation for this class was generated from the following file:

- cpl_minixml.h

Generated for GDAL by 1.8.9.1.